// TinyPort
// ~~~~~~~~
//
// Copyright (c) 2010 Andreas Wilhelm (info at avedo dot net)
//
// Version 1.0
//
// TinyPort implements a tiny port scanner,
// which enables the user to list all open
// ports of a given server.

#ifndef TINY_PORT_H
#define TINY_PORT_H

// Include the needed headers.
#include <string>
#include <sstream>
#include <iostream>
#include <boost/array.hpp>
#include <boost/asio.hpp>

// Include the TCP/IP header.
#include "TinyTcpIp.h"

class TinyPort : public TinyTcpIp {
	public:
		TinyPort();
		~TinyPort();
		void scan(std::string host);
};

#endif
