#ifndef TINY_PORT_CPP
#define TINY_PORT_CPP

// Include header file.
#include "TinyPort.h"

TinyPort::TinyPort() {
	resolver = new tcp::resolver(io_service);
}

TinyPort::~TinyPort() {
}

void TinyPort::scan(std::string host) {
	// Instance the TinyTcpIp object, ...
	TinyTcpIp socket;
			
	// TODO: Debugging output!
	std::cout << "Scanning for open ports at " << host << " ..." << std::endl;
		
	// Loop over all standard ports.
	for(int port = 0; port < 1024; port++) {
		
		try {
			// Try to connect to socket.
			socket.connect(host, port);
			
			// Print out port.
			std::cout << port //<< " (" << socket.getService() << ") open" 
				<< " open" << std::endl;
		}
		
		catch (std::exception& e) {
		}
	}
}

#endif
